
param (
	[Parameter(Mandatory=$true)][string] $Folder,
	[switch] $Extensions
)

if (! (Test-Path $Folder)){
	throw "$Folder does not exist!"
}

# count subfolders
$subfolders = (Get-ChildItem -Path $Folder -Directory).Count

Write-Output "Subfolders in $Folder : $subfolders"